Home

# Class goog.events.FileDropHandler

A files drag and drop event detector. Gets an {@code element} as parameter and fires {@code goog.events.FileDropHandler.EventType.DROP} event when files are dropped in the {@code element}.

extends goog.events.EventTarget

Instance Method Summary
| `dispatch_(?goog.events.BrowserEvent e)` Dispatches the DROP event.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `onDocDragEnter_(?goog.events.BrowserEvent e)` Handles dragenter on the document.
| `onDocDragOver_(?goog.events.BrowserEvent e)` Handles dragging something over the document.
| `onElemDragOver_(?goog.events.BrowserEvent e)` Handles dragging something over the element (drop zone).
| `onElemDrop_(?goog.events.BrowserEvent e)` Handles dropping something onto the element (drop zone).